Bug 839730 - Review Request: sugar-chart - Sugar Activity for create charts [NEEDINFO]
Review Request: sugar-chart - Sugar Activity for create charts
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
:
: 887485 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2012-07-12 12:48 EDT by German Ruiz
Modified: 2015-07-21 08:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-20 19:00:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
piotr1212: needinfo? (germanrs)


Attachments (Terms of Use)

  None (edit)
Description German Ruiz 2012-07-12 12:48:11 EDT
Spec URL: http://germanrs.fedorapeople.org/Sugar/sugar-chart/sugar-chart.spec

SRPM: http://germanrs.fedorapeople.org/Sugar/sugar-chart/sugar-chart-5-1.fc17.src.rpm

Description: SimpleGraph is an Activity for create charts using PyCha...

[german@fundacion SPECS]$ rpmlint -i sugar-chart.spec
sugar-chart.spec:6: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

0 packages and 1 specfiles checked; 0 errors, 1 warnings.
[german@fundacion SPECS]$ 

[german@fundacion SRPMS]$ rpmlint -i sugar-chart-5-1.fc17.src.rpm 
sugar-chart.src: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[german@fundacion SRPMS]$
Comment 1 Danishka Navin 2012-07-18 03:07:00 EDT
rpmlint error:

sugar-chart.noarch: W: non-standard-group Sugar/Activities
sugar-chart.noarch: E: non-executable-script /usr/share/sugar/activities/Chart.activity/utils.py 0644L /usr/bin/env
sugar-chart.noarch: E: non-executable-script /usr/share/sugar/activities/Chart.activity/helpbutton.py 0644L /usr/bin/env
sugar-chart.noarch: E: non-executable-script /usr/share/sugar/activities/Chart.activity/readers.py 0644L /usr/bin/env
sugar-chart.noarch: E: script-without-shebang /usr/share/sugar/activities/Chart.activity/icons/line.svg
sugar-chart.noarch: E: non-executable-script /usr/share/sugar/activities/Chart.activity/activity.py 0644L /usr/bin/env
sugar-chart.noarch: E: non-executable-script /usr/share/sugar/activities/Chart.activity/charts.py 0644L /usr/bin/env
sugar-chart.noarch: E: non-executable-script /usr/share/sugar/activities/Chart.activity/setup.py 0644L /usr/bin/env
1 packages and 0 specfiles checked; 7 errors, 1 warnings.


fix the non-executable-script error and also remove or correct the Group.
Comment 2 Danishka Navin 2012-07-18 03:16:20 EDT
Few more issues 
1) The description is not relevant to the package. Correct the description.
'A Sugar Activity for teaching geography of America...'

You can use rpmdev-newspec to create a spec file from the scratch.

2) Remove the following line from spec
%defattr(-,root,root,-)
Comment 3 German Ruiz 2012-07-21 19:25:18 EDT
New Upstream Release:
SPEC: http://germanrs.fedorapeople.org/Sugar/sugar-conozco_nicaragua.spec
SRPM: http://germanrs.fedorapeople.org/Sugar/sugar-chart/sugar-chart-6-1.fc17.src.rpm

All the sugar activities have the Sugar/Activities as Group.

[german@fundacion SPECS]$ rpmlint -i sugar-chart.spec 
sugar-chart.spec:6: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

0 packages and 1 specfiles checked; 0 errors, 1 warnings.

[german@fundacion SRPMS]$ rpmlint -i sugar-chart-6-1.fc17.src.rpm 
sugar-chart.src: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.

german@fundacion noarch]$ rpmlint -i sugar-chart-6-1.fc17.noarch.rpm
sugar-chart.noarch: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 4 German Ruiz 2012-07-21 19:28:35 EDT
Sorry for the last comment :(

New Upstream Release:
SPEC: http://germanrs.fedorapeople.org/Sugar/sugar-chart/sugar-chart.spec
SRPM: http://germanrs.fedorapeople.org/Sugar/sugar-chart/sugar-chart-6-1.fc17.src.rpm

All the sugar activities have the Sugar/Activities as Group.

[german@fundacion SPECS]$ rpmlint -i sugar-chart.spec 
sugar-chart.spec:6: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

0 packages and 1 specfiles checked; 0 errors, 1 warnings.

[german@fundacion SRPMS]$ rpmlint -i sugar-chart-6-1.fc17.src.rpm 
sugar-chart.src: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.

german@fundacion noarch]$ rpmlint -i sugar-chart-6-1.fc17.noarch.rpm
sugar-chart.noarch: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 5 Danishka Navin 2012-07-27 02:30:19 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
[ ]: MUST The spec file handles locales properly.
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generates any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint sugar-chart-6-1.fc18.noarch.rpm

sugar-chart.noarch: W: non-standard-group Sugar/Activities
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint sugar-chart-6-1.fc18.src.rpm

sugar-chart.src: W: non-standard-group Sugar/Activities
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/danishka/839730/Chart.activity-6.tar.gz :
  MD5SUM this package     : 6c1e61ac93b9407c9c6cb37de38d4085
  MD5SUM upstream package : 6c1e61ac93b9407c9c6cb37de38d4085

[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0: http://germanrs.fedorapeople.org/Sugar/sugar-
     chart/Chart.activity-6.tar.gz (Chart.activity-6.tar.gz ) Patch0: remove-
     shebang (remove-shebang)
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint sugar-chart-6-1.fc18.noarch.rpm

sugar-chart.noarch: W: non-standard-group Sugar/Activities
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint sugar-chart-6-1.fc18.src.rpm

sugar-chart.src: W: non-standard-group Sugar/Activities
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Generated by fedora-review 0.1.2
External plugins:
Comment 6 Danishka Navin 2012-08-15 07:42:45 EDT
suggestions:

1) Correct or remove Group
sugar-colordeducto.noarch: W: non-standard-group Sugar/Activities

2) better rename the source as %{name}.-%{version}.tar.gz
and patch as %{name}-remove-shebang.patch

and chance the license as GPLv3+

3) Change the license tag to GPLv3+
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#.22or_later_version.22_licenses

Please apply above mentioned suggestions.
Comment 7 Danishka Navin 2012-08-15 07:47:21 EDT
ignore the sentence of 'and chance the license as GPLv3+' under suggestion 2)
Comment 8 Kalpa Welivitigoda 2012-12-15 10:42:54 EST
*** Bug 887485 has been marked as a duplicate of this bug. ***
Comment 9 Kalpa Welivitigoda 2013-01-07 11:50:19 EST
I did a koji scratch build and tested it in sugar-emulator. Works fine.

koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4845885
Comment 10 German Ruiz 2014-10-08 12:02:00 EDT
Sorry for delay...

SPEC: https://germanrs.fedorapeople.org/Sugar/sugar-chart/sugar-chart.spec
SRPM: https://germanrs.fedorapeople.org/Sugar/sugar-chart/sugar-chart-11-1.fc20.src.rpm
RPM: https://germanrs.fedorapeople.org/Sugar/sugar-chart/sugar-chart-11-1.fc20.noarch.rpm

[german@tecra rpmbuild]$ rpmlint -i SPECS/sugar-chart.spec 
SPECS/sugar-chart.spec:6: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

0 packages and 1 specfiles checked; 0 errors, 1 warnings.


[german@tecra rpmbuild]$ rpmlint -i SRPMS/sugar-chart-11-1.fc20.src.rpm 
sugar-chart.src: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[german@tecra rpmbuild]$ rpmlint -i RPMS/noarch/sugar-chart-11-1.fc20.noarch.rpm 
sugar-chart.noarch: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 11 Piotr Popieluch 2014-10-29 02:44:27 EDT
Could you remove the group tag or set a valid group tag?
Comment 12 Piotr Popieluch 2014-12-28 09:29:45 EST
There is no response in about 2 months. German do you still want to continue this request? Do you still need a sponsor?
Comment 13 Piotr Popieluch 2015-03-08 08:06:20 EDT
There is no response in three months since last comment. I assume the requester is not interested anymore in packaging this software. I close this bug when no response from the requester is receive within a week according to this policy:

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
Comment 14 Piotr Popieluch 2015-03-20 19:00:28 EDT
Closing

Note You need to log in before you can comment on or make changes to this bug.